Bug 76817 - Outline Numbering for DOCX not working when new headings inserted in between (to reproduce, see comment 15/17/19)
Summary: Outline Numbering for DOCX not working when new headings inserted in between ...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability target:5.2.0 target:...
Keywords: filter:docx, filter:ooxml
: 87052 121066 (view as bug list)
Depends on:
Blocks: DOCX-Limitations Chapter-Numbering DOCX-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2014-03-31 04:40 UTC by Kevin Suo
Modified: 2019-09-06 08:44 UTC (History)
20 users (show)

See Also:
Crash report or crash signature:


Attachments
The example docx file. (4.69 KB, application/vnd.ms-word.document.12)
2014-03-31 04:46 UTC, Kevin Suo
Details
a more simple docx to example. (4.58 KB, application/vnd.ms-word.document.12)
2014-03-31 04:55 UTC, Kevin Suo
Details
test files from 4.4.3.2 Ubuntu 32 bits, Dutch locale (11.56 KB, application/zip)
2015-05-12 18:54 UTC, Cor Nouws
Details
Original ODT document (11.49 KB, application/vnd.oasis.opendocument.text)
2015-05-18 20:20 UTC, Saffax
Details
DOCX version (5.55 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-18 20:23 UTC, Saffax
Details
tested with document in daily build 20160225 (106.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-03-07 10:47 UTC, Cor Nouws
Details
Headings2003.docx: testing example created by Word 2003 (11.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-01-11 15:34 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-03-31 04:40:04 UTC
Description:
When insert a heading between two headings of the same level in a docx document, outline is not applied for the inserted heading.

Steps:
1. New Writer, type to paragraphs of text;
2. Apply all paragraphs as "Heading 1" style;
3. Set outline numbering of Heading 1 to "1,2,3..." (tools->outline numbering).
4. Save as DOCX (MSO 2007/10/13 xml)
5. Reopen, insert a new paragraph between the above paragraphs, apply as "Heading 1" style also.

Current behaviou:
Outline numbering is not applied to the new paragraph inserted in step 5.

Expected:
Outline numbering is applied to the new paragraph inserted in step 5.

This bug behaviour do not happen with ODT format. Possibly a regression.
Comment 1 Kevin Suo 2014-03-31 04:41:18 UTC
(In reply to comment #0)

> 1. New Writer, type to paragraphs of text;

Sorry, I mean "..type two paragraphs..."
Comment 2 Kevin Suo 2014-03-31 04:46:02 UTC
Created attachment 96638 [details]
The example docx file.



In this step:
> 5. Reopen, insert a new paragraph between the above paragraphs, apply as "Heading 1" style also.

Please set the style as "body text" before you set it to "Heading 1" again.
Comment 3 Kevin Suo 2014-03-31 04:54:58 UTC
I found some more simple steps to reproduce:

1. New Writer, two paragraphs;
2. Apply the two paragraphs as "Heading 1" style, save as DOCX;
3. Reopen, try to apply outline numbering to heading 1.

Current behaviour:
You are not able to apply outline numbering of any style to the headings.
Comment 4 Kevin Suo 2014-03-31 04:55:41 UTC
Created attachment 96639 [details]
a more simple docx to example.
Comment 5 Yousuf Philips (jay) (retired) 2014-06-24 07:26:33 UTC
Confirmed in Linux Mint in 3.3.0, 4.2.5 and 4.3.0 with steps from comment 3. Unfortunately, the docx file in comment 4 wasnt suitable as the text was set to '标题 1' style and not 'Heading 1'.

In order to get the right results, i could set the outline numbering for Heading 1, then hightlight the 2 paragraphs, and set their style to Heading 2, and then back to Heading 1, and then the numbering will show up.
Comment 6 meneerjansen00 2015-05-05 18:56:54 UTC
I can confirm this bug still exists. 

A deal breaker for me. If chapter numbering does not work then I cannot use the Word Processor. And since I only use a WYSIWYG Word Processor if I have to share docs w/ people that don't know how to use LaTeX MS's .doc(x) format is the ONLY way to go.

Hope this'll get some priority.
Comment 7 meneerjansen00 2015-05-12 17:42:24 UTC
Seems like a duplicate of: https://bugs.documentfoundation.org//show_bug.cgi?id=50774
Comment 8 Cor Nouws 2015-05-12 18:49:05 UTC
(In reply to Kevin Suo from comment #3)
> I found some more simple steps to reproduce:
> 
> 1. New Writer, two paragraphs;
> 2. Apply the two paragraphs as "Heading 1" style, save as DOCX;
> 3. Reopen, try to apply outline numbering to heading 1.

The two paragraphs in your sample document are "标题 1", not "Heading 1"

> Current behavior:
> You are not able to apply outline numbering of any style to the headings.

When I do the same in my LibreOffice 4.4.3.2 on Ubuntu 32 bits, the only problem I see after reopening the docx: before the first paragraph with heading 1 there is the number '1' and before the second paragraph with heading 1 there is the number '2'.
(should try to find that bug)

So the mentioned problem either is specific to the document, or to the installation..

Kevin, can you please attach a .odt file that you use to create the docx?

thanks,
Cor
Comment 9 Cor Nouws 2015-05-12 18:54:43 UTC
Created attachment 115524 [details]
test files from 4.4.3.2 Ubuntu 32 bits, Dutch locale
Comment 10 V Stuart Foote 2015-05-12 19:20:15 UTC Comment hidden (obsolete)
Comment 11 Joel Madero 2015-05-12 19:25:00 UTC Comment hidden (obsolete)
Comment 12 Cor Nouws 2015-05-12 19:37:27 UTC Comment hidden (obsolete)
Comment 13 Yury 2015-05-16 11:11:47 UTC Comment hidden (off-topic)
Comment 14 V Stuart Foote 2015-05-16 13:41:47 UTC Comment hidden (off-topic)
Comment 15 Saffax 2015-05-18 20:20:41 UTC
Created attachment 115699 [details]
Original ODT document

ODT file with a correct Outline Numbering
Comment 16 Saffax 2015-05-18 20:23:08 UTC
Created attachment 115700 [details]
DOCX version

DOCX version of the original ODT document
Comment 17 Saffax 2015-05-18 20:29:31 UTC
Hi all.

I confirm this bug in version 4.4.3.2 for Mac OSX.
I attached two documents: on e ODT and its DOCX version.

In the ODT you can see that the Outline Numbering works fine and in the status bar at the bottom of the Writer windows, when the cursor is on a heding text, you can read "Outline Numbering".

After you save it to DOCX format and you reopen it, when the cursor is on a heading text, in the status bar you can read some WWWNumX numbering structure.
The Outline Numbering is lost. And also its configuration: if you enter the Tools -> Outline numbering you have to associate each Outline level to a Style from the beginning.

Hope this helps for the solution.

regards
Lorenzo
Comment 18 Yury 2015-05-18 20:39:43 UTC Comment hidden (off-topic)
Comment 19 Cor Nouws 2015-05-18 20:56:20 UTC
Hi Lorenzo,

(In reply to Saffax from comment #17)
> 
> Hope this helps for the solution.

Thanks! In any case it helps to confirm the issue.
I see related problems, bit a bit worse, when I do the test in LibreOffice 3.3.4 and 3.4.6.

Looking to my #comment 8: if I change the test document and activate outline numbering before saving as docx, the same problem shows.
Comment 20 Cor Nouws 2015-05-18 20:59:39 UTC Comment hidden (off-topic)
Comment 21 meneerjansen00 2015-06-27 13:32:39 UTC Comment hidden (no-value)
Comment 22 meneerjansen00 2015-06-28 11:52:53 UTC Comment hidden (obsolete)
Comment 23 V Stuart Foote 2015-06-28 14:06:09 UTC
Certainly, it is an annoyance when using Microsoft proprietary formats, but at its core it is an interoperability issue in import and export filtering of DOCX (OOXML) styles.

It is not an issue when the document is held in ODF native formatting, which would be much more critical an issue.

Not a MAB critical issue.
Comment 24 meneerjansen00 2015-06-28 20:32:37 UTC
Mistakenly I posted some comments in the "Most Annoying Bugs" (MAB, bug 79641) topic instead of here. Here are those comments, a moderator might delete them from the MAB.


====================================================
(In reply to V Stuart Foote from comment #72)
> (In reply to meneerjansen00 from comment #71)
> > I take it then that we do not have to count on (work starting on) a fix for
> > this bug to come anytime soon? That will be quite disappointing for a lot of
> > LO users I'm afraid...
> 
> Not at all, work on the WW8 import/export filters is continual. For example,
> if you follow the samples and discussion of bug 50774 there has been noted
> improvement. 
> 
I'm afraid I do not see a lot of improvement in that bub. I do see some discussions. But no patch or suggested solution. I'm sorry

> Otherwise, concise test cases with annotated comparisons in the XML of OOXML
> and ODF rendering of the sample documents will provide needed incentive to
> devs for correcting the filters. That as opposed to general statements that
> it is "not working".
> 
I'm afraid you lost me there. I'm willing to do anything youy want me to. But I do not understand what y'all would like me to give. Is the example doc not good enough? Can you not reproduce the bug? Please help me to provide you with the proper testing documents. On a side note, the description in bug 76817 comment #3 is crystal clear to me. And very reproducable. I'm afraid I do not know waht the devs would like more. If I would, I'd provide y'all with what you want in the bug report you want. I'd like to help or provide input, but I really do not know how anymore. Bug 76817 commnent #3 is so clear already...


> Filing useful bug reports aside, a user can put the onus back on Microsoft
> and export from there as ODF (e.g. .odt), rather than OOXML (e.g. .docx). Or
> in a more parochial sense work only in LibreOffice rendered ODF--that is
> what LibreOffice as a project is obliged to support.

In this hard dog eat dog worl I'm afraid the smaller fish has to accept that the bigger fish is boss. Same thing goed for LaTeX (www.latex-project.org) and  any other way to produce documents.

Best regards, Jansen
===========================================




==========================================
@V Stuart Foote 

I'm gonna have to read up on the Office Open XML (OOXML) format/file type (which, confusingly to me, is called .docx in LO), the native Word 2007 (and higher Word versions) file format (also called .docx) and ye 'ol .doc format. This is not to be confused w/ the 'open document file' (ODF) format which, I believe, has been used by Libre- and OpenOffice since a long time. Documents in the ODT format have the extension .odT (with the T from Text, not the D for document) which is also confusing to me (I thought that native LO and 'ye 'ol OOo documents ndend in .odF).  

I found a nice article about this: https://brattahlid.wordpress.com/2012/05/08/is-docx-really-an-open-standard/

Sorry for all this off topic stuff by me that really belongs in a chat or support forum. I'm getting old. Back in the days there was only M$ Word (i.e. .doc) and OpenOffice (which I thought saved in the .odf extension).

As for now, what I did to create a document that my Word loving friends can read, edit and save is:
 
1. Open Libre Office.
2. Create new Writer document.
3. Write some text.
4. Choose: File > Save as > Microsoft Word 97/2000/XP/2003 (.doc).
   FYI: I used to choose .doc because I thought that .docx was less 
   well supported in OOo/LO... 
5. Or I choose: File > Save as > Microsoft Word 2007/2010/2013 XML (.docx)

I never even noticed that in LO there's also an option way down at the bottom called "Office Open XML (.docx)". Until today I've never heard of this format. Until today I really couldn't give a rats *ss 'bout M$'s fiddling w/ .doc and .docx format. I just don't care. If people want to use proprietary software and 
operating systems that's their problem, not mine. Boy was I wrong! 

I'll try to create an .docx LO (that is Office Open XML, not Microsoft .docx!) document and I'll test if the outline numbering probelm is also there.

As for me the question remains how MS Word 2007+ handles OOXML .docx files that were created by LO. Does it leave LO's .docx format intact or not? And how does LO handle M$ created .docx files, does the outline numbering bug appear of doesn't it? 

To be continued. Hope y'all will forgive me all the confusion I might have created and the overly long comments that posted here. One is never to old to learn. :-)
=============================================


=========================================
1. Reading the blog that I mentioned earlier is highly recommended for all people who have ever used MS Office '97 to 2003! See: https://brattahlid.wordpress.com/2012/05/08/is-docx-really-an-open-standard
It clarifies why there are two ways of saving a document as .docX!

2. Tried to reproduce the bug by making a document in LO and saving it in Office Open OOXML format (i.e. NOT MS's version of OOXML/docX!).

3. Bug still there.

4. When one saves the document in LO's native open document format (ODF, confusingly ending in .odT) bug is not there.

Conclusion: the bug does not have anything to do with Microsoft's crappy implementation of the OOXML standard. The bug has to do w/ the way Libre Office generates a document in the the OPEN document standard OOXML (confusingly also called .docx, not LO's fault, see aforementioned blog).

This bug, strangely enough, probably has nothing to do w/. Microsoft!
===========================================



===============================================
Created attachment 116900 [details]
Two documets made w/ LO in OOXML format and re-saved as...

Two test documents. Both made in LO. One is saved as OOXML (LO's version of OOXML, not MS's version!). The other was made in LO, saved as OOXML (it had the bug) and after that saved as .odT which only made the bug disappear after reapplying ALL outline numbered styles. So using .odt as an intermediate when ou receive a Word doc will not work.
============================================




=========================================================
Comment 25 meneerjansen00 2015-07-07 12:11:25 UTC
Curious to know if anyone picked this up after the comments last week. 

To summarize: this bug does not have anything to do with Microsoft's implementation of the OOXML standard ("their" version of .docx). The bug has to do w/ the way Libre Office generates a document in the the open document standard OOXML (also called .docx).
Comment 26 Cor Nouws 2015-07-07 12:18:40 UTC Comment hidden (obsolete)
Comment 27 meneerjansen00 2015-07-07 12:36:02 UTC Comment hidden (obsolete)
Comment 28 Cor Nouws 2015-07-07 18:47:30 UTC
@meneerjansen: yes, it has to do with the OOXML implementation.

I think this issue is sufficiently triaged:
comment 15/17 give a reproducable file + instructions.
comment 19 mentions, despite the current bug, some improvements over older versions of LibreOffice. It is not a regression.
Comment 29 Cor Nouws 2015-07-07 18:48:32 UTC Comment hidden (obsolete)
Comment 30 Oliver Specht (CIB) 2015-12-01 12:15:02 UTC
When outline paragraphs are stored they get their own numbering style. 
You can see this if you look into format/paragraph/outline&numbering, Numbering style. It contains e.g. a WWNum1. 
On import this word numbering style is not (can not be?) mapped to Writer's outline numbering. It is also not applied to the 'Heading X' style but to the paragraphs.
Comment 31 Robinson Tryon (qubit) 2015-12-13 12:18:27 UTC Comment hidden (obsolete)
Comment 32 Commit Notification 2016-02-13 15:25:07 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78284714b73a8307174c596295894e8f3951e09a

tdf#76817: fix missing heading styles assigned to outline levels in ooxml

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Kevin Suo 2016-02-16 13:58:12 UTC
(In reply to Commit Notification from comment #32
@Mark Hung: Thank you so much for the fix, is there any plan to backport this to any of the released versions such as 5.1?
Comment 34 Kevin Suo 2016-02-16 14:03:56 UTC Comment hidden (obsolete)
Comment 35 Yousuf Philips (jay) (retired) 2016-02-16 15:08:15 UTC Comment hidden (obsolete)
Comment 36 Kevin Suo 2016-02-17 03:00:39 UTC Comment hidden (obsolete)
Comment 37 Mark Hung 2016-02-18 13:21:42 UTC
https://gerrit.libreoffice.org/#/c/22441/
Comment 38 Commit Notification 2016-02-18 22:00:36 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb35db2c709d2d5fd1f86e84478944416cf7f6e0&h=libreoffice-5-1

tdf#76817: fix missing heading styles assigned to outline levels in ooxml

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 Cor Nouws 2016-03-07 10:47:03 UTC
Created attachment 123368 [details]
tested with document in daily build 20160225

Hi,

I did a test with file https://bugs.documentfoundation.org/attachment.cgi?id=96638&action=edit
Attached the result.

I do not see what has changed, sorry.

Test in Version: 5.2.0.0.alpha0+
Build ID: 98a8eafa915b8d57b8bdccab9981e537d77f6f4a
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-02-25_00:51:35
Locale: nl-NL (nl_NL.UTF-8)
Comment 40 Kevin Suo 2016-03-25 09:27:03 UTC
(In reply to Cor Nouws from comment #39)
I confirm that the commit does not fix the issue I mentioned in comment 3.
However, it seems that this commit does fix bug 80985.
Comment 41 meneerjansen00 2016-05-25 21:31:41 UTC
Downloaded and installed LO Fresh ver. 5.1.3 (64 bit). Indeed: unfortunately bug still there. Most certainly hope this filter bug wil get solved soon.
Comment 42 Xisco Faulí 2017-07-13 10:31:15 UTC Comment hidden (obsolete)
Comment 43 Justin L 2018-01-11 15:34:16 UTC
Created attachment 139050 [details]
Headings2003.docx: testing example created by Word 2003

I didn't like any of the reproducing example documents, so I made my own simple one using Word.
The problem is that Writer has this strange "Chapter Numbering" style (or "outline numbering" as shown by the paragraph style dialog...) that doesn't show up in the list styles. On import, the heading style's associated numbering list (although copied to Chapter Numbering) is saved as a new list style. That WWNumX list style is applied to the "existing" headings, but the strange "Chapter Numbering" style is applied to new headings, thus the disconnect between the numbering.
Comment 44 Justin L 2018-01-12 16:04:48 UTC
*** Bug 87052 has been marked as a duplicate of this bug. ***
Comment 45 Justin L 2018-01-13 05:09:10 UTC
two part fix: both export and import needed adjusting. 
-import: https://gerrit.libreoffice.org/47827
-export: https://gerrit.libreoffice.org/47828

Developed in order to round-trip the example file from comment 43. Used example file from comment 15 to confirm. Also fixes example from duplicate bug 87052.
Comment 46 Commit Notification 2018-01-15 12:58:15 UTC Comment hidden (obsolete)
Comment 47 Commit Notification 2018-01-18 09:38:59 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e9e705de29a1a3d9b964c9350aa2a3a17cce6f9

tdf#76817 ooxmlexport: only use stylename for Outline list

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Timur 2018-01-19 10:30:24 UTC
Looks resolved. 
Justin, please comment on backport for 6.0 and 5.4.

Looks to me that Bug 102619 is somewhat similar, but not duplicate.
While testing this, I created Bug 115104.
Comment 49 Justin L 2018-01-19 11:22:12 UTC
(In reply to Timur from comment #48)
> Justin, please comment on backport for 6.0 and 5.4.
I have no intention to initiate backports for numbering bug fixes. I'm very happy that these fixes are going in with 9 months of testing ahead of them before they hit production. :-)
Comment 50 Commit Notification 2018-05-24 03:37:54 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d42de21c10bfefeaffabc5c939e7830a09f7dca

revert tdf#76817 ooxmlimport: connect Heading to existing numbers

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Justin L 2018-05-24 04:06:26 UTC
Reverted the commit from comment 46 and re-opened the bug, because an example document from bug 50774 is made worse by that commit. I'm not surprised that a regression was found - almost impossible to make changes in this area without doing so.

Reverting does two things.
-most importantly, it allows me to walk away from this without causing harm. I hate causing regressions, and this patch has not yet hit a released version of LibreOffice.
-it gives a chance for the compatibility tools to find how many documents were fixed by the patch, and now are broken again.  It is easily possible that more are fixed than broken - and so this can be revisited in 6.2.

It is worth noting that the patch from comment 46 aligns docx with doc. Both of them display bug 50774 the same way. And .doc does not have this bug's problem.

Microsoft's numbering implementation is very complex, and very different from LO's internal design. So a lot of "emulation" needs to happen, which by definition means certain features simply cannot work. It is a balancing act between supporting the most common cases, and breaking once-working odd-ball cases. (And my impression is that the current import implementation is a mess - not using style name references, but directly applying the properties to the paragraph, with lots of code scattered around handling edge cases...)
Comment 52 meneerjansen00 2018-10-03 16:31:45 UTC
(In reply to Justin L from comment #51)
> Reverted the commit from comment 46 and re-opened the bug, because an
> example document from bug 50774 is made worse by that commit. I'm not
> surprised that a regression was found - almost impossible to make changes in
> this area without doing so.
> 
> Reverting does two things.
> -most importantly, it allows me to walk away from this without causing harm.
> I hate causing regressions, and this patch has not yet hit a released
> version of LibreOffice.
> -it gives a chance for the compatibility tools to find how many documents
> were fixed by the patch, and now are broken again.  It is easily possible
> that more are fixed than broken - and so this can be revisited in 6.2.
> 
> It is worth noting that the patch from comment 46 aligns docx with doc. Both
> of them display bug 50774 the same way. And .doc does not have this bug's
> problem.
> 
> Microsoft's numbering implementation is very complex, and very different
> from LO's internal design. So a lot of "emulation" needs to happen, which by
> definition means certain features simply cannot work. It is a balancing act
> between supporting the most common cases, and breaking once-working odd-ball
> cases. (And my impression is that the current import implementation is a
> mess - not using style name references, but directly applying the properties
> to the paragraph, with lots of code scattered around handling edge cases...)

Do you mean that we should learn to live w/ the fact that exchanging documents with MSOffice users will never be possible if one uses chapter numbering (or rather: outline numbering)?

And am I right that you say that we CAN, however, exchange chapter numbered documents w/ MSOffice users as long as we use good old .doc format and not .docx?
Comment 53 Justin L 2018-10-03 16:43:26 UTC
(In reply to meneerjansen00 from comment #52)
> Do you mean that we should learn to live w/ the fact that exchanging
> documents with MSOffice users will never be possible if one uses chapter
> numbering (or rather: outline numbering)?
Not really. What I mean is that a talented programmer should dedicate a couple of months of their life to re-write/enhance this area of LibreOffice (and then spend several more months supporting their changes).

> And am I right that you say that we CAN, however, exchange chapter numbered
> documents w/ MSOffice users as long as we use good old .doc format and not
> .docx?
No. I'm saying that if your document doesn't look good in .docx, try .doc format and then pick whichever one works better for your particular document.
Comment 54 V Stuart Foote 2018-10-03 16:49:15 UTC
(In reply to Justin L from comment #53)
> (In reply to meneerjansen00 from comment #52)
> > Do you mean that we should learn to live w/ the fact that exchanging
> > documents with MSOffice users will never be possible if one uses chapter
> > numbering (or rather: outline numbering)?
> Not really. What I mean is that a talented programmer should dedicate a
> couple of months of their life to re-write/enhance this area of LibreOffice
> (and then spend several more months supporting their changes).
> 
> > And am I right that you say that we CAN, however, exchange chapter numbered
> > documents w/ MSOffice users as long as we use good old .doc format and not
> > .docx?
> No. I'm saying that if your document doesn't look good in .docx, try .doc
> format and then pick whichever one works better for your particular document.

Equally exchange ODF rather than OOXML (Microsoft Office "implements" the standards)--then the LibreOffice project has more obligation to make it interoperable.
Comment 55 Alex 2018-11-03 21:50:55 UTC
I can confirm this bug with when saving as DOCX (Strict and Transitional) but not ODF and DOC

LO Version: 6.1.2.1
Build ID: 1:6.1.2-0ubuntu1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 56 Xisco Faulí 2018-11-08 13:12:47 UTC
*** Bug 121066 has been marked as a duplicate of this bug. ***
Comment 57 Alex 2019-06-23 13:02:46 UTC
Bug still replicated in. 

Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-GB
Calc: threaded
Comment 58 Timur 2019-09-06 08:40:57 UTC
Repro 6.4+ after the fix in bug 95848.